com.sun.jna.platform.win32

## Class Winevt.EVT_VARIANT.field1_union

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.Union
    - - com.sun.jna.platform.win32.Winevt.EVT_VARIANT.field1_union

Enclosing class:
  Winevt.EVT_VARIANT

    public static class Winevt.EVT_VARIANT.field1_union
    extends Union

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.StructField`

### Field Summary

Fields
`byte` `byteValue`
`double` `doubleVal`
`float` `floatValue`
`int` `intValue`
`long` `longValue`
`Pointer` `pointerValue`
`short` `shortValue`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`field1_union()`

### Method Summary

### Methods inherited from class com.sun.jna.Union

`getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### byteValue

    public byte byteValue

#### shortValue

    public short shortValue

#### intValue

    public int intValue

#### longValue

    public long longValue

#### floatValue

    public float floatValue

#### doubleVal

    public double doubleVal

#### pointerValue

    public Pointer pointerValue

### Constructor Detail

#### field1_union

    public field1_union()

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.